Subject: Re: bug#31546: 27.0.50; macOS child frames with no mode-line mouse click problem

From: martin rudalics <[email-masked]>
Date: Wed, 23 May 2018 08:36:23 +0200

> I should say that even if I move the frame so that it's not over the parent
 > frame the scrolling bug still happens.

If "the frame" is a child frame then this problem is pertinent to your
windowing system: With X or Windows child frames cannot be moved out
of their parent frames.

 > That's the bigger concern for me
 > than the incorrect mouse pointer/tooltips. If I accidentally click on a
 > posframe in the wrong place it effectively breaks it.

I still don't understand which command gets executed in order to
scroll the parent frame's window.  That is, if with emacs -Q I click
anywhere on my single frame's only window's mode line, that window
never scrolls.  So please tell me how your window gets scrolled.

martin